package john111898.ld30.control;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelEvent;
import java.awt.event.MouseWheelListener;

public class MouseHandler implements MouseListener, MouseMotionListener, MouseWheelListener {
	@Override
	public void mouseWheelMoved(MouseWheelEvent arg0) {
		if (arg0.getPreciseWheelRotation() > 0.0) {
			ControlsManager.mouseWheel(true);
		}
		else {
			ControlsManager.mouseWheel(false);
		}
	}

	@Override
	public void mouseDragged(MouseEvent arg0) {
		ControlsManager.mouseMoved(arg0.getX(), arg0.getY(), true);
	}

	@Override
	public void mouseMoved(MouseEvent arg0) {
		ControlsManager.mouseMoved(arg0.getX(), arg0.getY(), false);
	}

	@Override
	public void mouseClicked(MouseEvent arg0) {
		if (arg0.getButton() == MouseEvent.BUTTON1) {
			ControlsManager.mouseClicked(arg0.getX(), arg0.getY(), true);
		}
		else {
			ControlsManager.mouseClicked(arg0.getX(), arg0.getY(), false);
		}
	}

	@Override
	public void mouseEntered(MouseEvent arg0) {
		
	}

	@Override
	public void mouseExited(MouseEvent arg0) {
		
	}

	@Override
	public void mousePressed(MouseEvent arg0) {
		
	}

	@Override
	public void mouseReleased(MouseEvent arg0) {
		ControlsManager.mouseReleased(arg0.getX(), arg0.getY());
	}
}