package john111898.ld30.gui;

import java.awt.Graphics;

import john111898.ld30.gui.elements.IGUIObject;

public class GUIManager {
	public static GUI no = new GUI(0, 0, "null");
	GUI top;
	public GUI activeGUI = no;
	GUI secondaryGUI = no;
	boolean activeNeedsToBeRemoved = false;
	boolean secondaryNeedsToBeRemoved = false;
	
	public GUIManager() {
		
	}
	
	public void addGUI(GUI g) {
		activeGUI = g;
	}
	
	public void addTopGUI(GUI top) {
		this.top = top;
	}
	
	public void addSecondary(GUI g) {
		secondaryGUI = g;
	}
	
	public void removeGUI() {
		activeNeedsToBeRemoved = true;
	}
	
	public void removeSecondary() {
		secondaryNeedsToBeRemoved = true;
	}
	
	public void drawGUIs(Graphics g) {
		if (activeNeedsToBeRemoved) {
			activeGUI = no;
			activeNeedsToBeRemoved = false;
		}
		if (secondaryNeedsToBeRemoved) {
			secondaryGUI = no;
			secondaryNeedsToBeRemoved = false;
		}
		
		activeGUI.draw(g);
		secondaryGUI.draw(g);
		top.draw(g);
	}
	
	public IGUIObject click(int x, int y) {
		IGUIObject clicked = null;
		clicked = secondaryGUI.click(x, y);
		if (clicked == null) {
			clicked = activeGUI.click(x, y);
		}
		if (clicked == null) {
			clicked = top.click(x, y);
		}
		return clicked;
	}
}