package john111898.ld30.util;

import java.awt.image.BufferedImage;
import java.net.URL;

import javax.imageio.ImageIO;

import john111898.ld30.Game;

public class ImageLoader {
	public static BufferedImage loadImage(String name) {
		String filename = "res/" + name + ".png";
		URL url = Game.class.getResource(filename);
		BufferedImage image = null;
		try {
			image = ImageIO.read(url);
		}
		catch (Exception e) {
			System.out.println("Error loading image " + name);
			e.printStackTrace();
		}
		return image;
	}
}