package john111898.ld30.control;

import java.awt.event.KeyEvent;

import john111898.ld30.Game;
import john111898.ld30.Main;

public class ControlsManager {
	public static Game instance;
	
	public static int[] keys = new int[] {KeyEvent.VK_UP, KeyEvent.VK_DOWN, KeyEvent.VK_RIGHT, KeyEvent.VK_LEFT};
	public static boolean[] keysPressed = new boolean[keys.length];
		
	public static void keyPressed(int keyCode) {
		for (int i = 0; i < keys.length; i++) {
			if (keyCode == keys[i]) {
				keysPressed[i] = true;
			}
		}
	}
	
	public static void keyReleased(int keyCode) {
		for (int i = 0; i < keys.length; i++) {
			if (keyCode == keys[i]) {
				keysPressed[i] = false;
			}
		}
	}
	
	public static void keyTyped(int keyCode) {
		
	}
	
	public static void mouseClicked(int x, int y, boolean leftClick) {
		if (leftClick) {
			instance.leftClicked(x - 3, y - 25);
			return;
		}
		instance.rightClicked(x - 3, y - 25);
	}
	
	public static void mouseMoved(int x, int y, boolean dragged) {
		Main.mouseX = x - 3;
		Main.mouseY = y - 25;
	}
	
	public static void mouseReleased(int x, int y) {
		
	}

	public static void mouseWheel(boolean positive) {
		if (positive) {
			if (Main.tileViewSize > Main.tileViewSizeMin) {
				Main.setTileViewSize(Main.tileViewSize - 4);
			}
			return;
		}
		if (Main.tileViewSize < Main.tileViewSizeMax) {
			Main.setTileViewSize(Main.tileViewSize + 4);
		}
	}
}