package john111898.ld30.gui.elements;

import java.awt.Graphics;
import java.awt.image.BufferedImage;

import john111898.ld30.gui.GUI;

public class GUIImage implements IGUIObject {
	String objectInfo;
	
	BufferedImage spritesheet;
	int sheetX;
	int sheetY;
	int sheetWidth;
	int sheetHeight;
	
	int guiX;
	int guiY;
	
	GUI gui;
	
	public GUIImage(String imageInfo, BufferedImage spritesheet, int sheetX, int sheetY, int sheetWidth, int sheetHeight, int guiX, int guiY, GUI gui) {
		objectInfo = imageInfo;
		this.spritesheet = spritesheet;
		this.sheetX = sheetX;
		this.sheetY = sheetY;
		this.sheetWidth = sheetWidth;
		this.sheetHeight = sheetHeight;
		this.guiX = guiX;
		this.guiY = guiY;
		this.gui = gui;
	}
	
	@Override
	public void draw(Graphics g) {
		g.drawImage(spritesheet, guiX + gui.x, guiY + gui.y, guiX + gui.x + sheetWidth, guiY + gui.y + sheetHeight, sheetX, sheetY, sheetX + sheetWidth, sheetY + sheetWidth, null); 
	}

	@Override
	public boolean isMouseOver(int mouseX, int mouseY) {
		return false;
	}

	@Override
	public String getObjectInfo() {
		return objectInfo;
	}
	
	@Override
	public GUI getGUI() {
		return gui;
	}
	
}