package john111898.ld30.render;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import john111898.ld30.Main;
import john111898.ld30.gui.GUIManager;
import john111898.ld30.world.World;

public class RenderComponent extends Component {
	private static final long serialVersionUID = 1L;

	private World world;
	private GUIManager guis;
	
	public RenderComponent(World w, GUIManager g) {
		this.world = w;
		this.guis = g;
	}
	
	public void paint(Graphics g) {	
		world.drawAllTiles(g);
		g.setColor(Color.DARK_GRAY);
		g.fillRect(0, 0, Main.SCREEN_WIDTH, Main.yOffsetTopGUI);
		guis.drawGUIs(g);
	}
}