package john111898.ld30.resources;

public class ResourceCount {
	public static final int[] resourcePool = {10000, 10000, 2000, 3500, 1000, 2500, 1500, 1000, 1000, 1000, 750, 1500, 1000, 1000, 1000, 1500};
	public static final int[] playerStart = {20, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
	
	public static final int[] goalAdvanceIron = {100, 100, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
	public static final int[] goalAdvanceIndustrial = {0, 0, 0, 50, 20, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
	public static final int[] goalAdvanceSpace = {0, 0, 0, 0, 0, 0, 50, 50, 50, 50, 50, 50, 0, 0, 0, 0};
	
	public static final int[] empty = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
	
	public int numWood = 0;
	public int numStone = 0;
	public int numGlass = 0;
	public int numIron = 0;
	public int numGold = 0;
	public int numCoal = 0;
	public int numAluminum = 0;
	public int numOil = 0;
	public int numFuel = 0;
	public int numSteel = 0;
	public int numCeramics = 0;
	public int numPlastics = 0;
	public int numTitanium = 0;
	public int numElectronics = 0;
	public int numCarbonFiber = 0;
	public int numConcrete = 0;
	
	public ResourceCount(int[] counts) {
		numWood = counts[0];
		numStone = counts[1];
		numGlass = counts[2];
		numIron = counts[3];
		numGold = counts[4];
		numCoal = counts[5];
		numAluminum = counts[6];
		numOil = counts[7];
		numFuel = counts[8];
		numSteel = counts[9];
		numCeramics = counts[10];
		numPlastics = counts[11];
		numTitanium = counts[12];
		numElectronics = counts[13];
		numCarbonFiber = counts[14];
		numConcrete = counts[15];
	}
	
	public void removeByID(int id, int numToRemove) {
		switch(id) {
		case 0:
			numWood -= numToRemove;
			break;
		case 1:
			numStone -= numToRemove;
			break;
		case 2:
			numGlass -= numToRemove;
			break;
		case 3:
			numIron -= numToRemove;
			break;
		case 4:
			numGold -= numToRemove;
			break;
		case 5:
			numCoal -= numToRemove;
			break;
		case 6:
			numAluminum -= numToRemove;
			break;
		case 7:
			numOil -= numToRemove;
			break;
		case 8:
			numFuel -= numToRemove;
			break;
		case 9:
			numSteel -= numToRemove;
			break;
		case 10:
			numCeramics -= numToRemove;
			break;
		case 11:
			numPlastics -= numToRemove;
			break;
		case 12:
			numTitanium -= numToRemove;
			break;
		case 13:
			numElectronics -= numToRemove;
			break;
		case 14:
			numCarbonFiber -= numToRemove;
			break;
		case 15:
			numConcrete -= numToRemove;
			break;
		}
	}
}