package john111898.ld30.tile.buildings;

import java.awt.Color;

import john111898.ld30.Main;
import john111898.ld30.resources.Resource;
import john111898.ld30.resources.ResourceOutput;
import john111898.ld30.resources.ResourceRequirements;
import john111898.ld30.tile.Tile;

public class TileSteelFactory extends Tile {

	public TileSteelFactory(int tileX, int tileY) {
		super(tileX, tileY, Main.tileSpritesheet, 6, 3, "Steel Factory", Color.gray, new ResourceRequirements(50, Resource.coal, 50, Resource.iron, 5, Resource.fuel), new ResourceOutput(Resource.steel, 2));
	}
	
}